Subject: Re: [bitcoin-dev] Chain width expansion

From: Tier Nolan <[email-masked]>
Date: Tue, 15 Oct 2019 19:30:58 +0100

On Tue, Oct 15, 2019 at 7:29 AM Braydon Fuller via bitcoin-dev <
[email-masked]> wrote:

> So I don't think you can use the height in the coinbase for that
> purpose, as it's not possible to validate it without the previous
> headers. That's common for more than just the height.
>

It is a property of blockchains that the lowest digest for a chain
represents the total chainwork.

Estimate total hash count = N * (2^256) / (Nth lowest (i.e. strongest)
digest over all headers)

To produce a fake set of 10 headers that give a higher work estimate than
the main chain would require around the same effort as went into the main
chain in the first place.  You might as well completely build an
alternative chain.

Working backwards for one of those headers, you have to follow the actual
chain back to genesis.